import 'package:get/get.dart';
import 'package:taxglide/auth/employee_login_screen.dart';
import 'package:taxglide/auth/employee_otp_screen.dart';
import 'package:taxglide/auth/forgot_screen.dart';
import 'package:taxglide/auth/login_screen.dart';
import 'package:taxglide/auth/mpin_set_screen.dart';
import 'package:taxglide/auth/otp_screen.dart';
import 'package:taxglide/auth/register_otp_screen.dart';
import 'package:taxglide/auth/signup_screen.dart';
import 'package:taxglide/router/consts_routers.dart';
import 'package:taxglide/view/flash_screen.dart';
import 'package:taxglide/view/screens/profile/employee_profile/employee_profile_list.dart';
import 'package:taxglide/view/screens/profile/kyc_detail_screen.dart';
import 'package:taxglide/view/screens/profile/kyc_details_list.dart';
import 'package:taxglide/view/screens/profile/policy_screen.dart';
import 'package:taxglide/view/screens/profile/staff_list_screen.dart';
import 'package:taxglide/view/screens/profile/terms_and_condition_screen.dart';
import 'package:taxglide/view/screens/profile/change_pin_screen.dart';

class AppRoutes {
  static final routes = [
    // Flash / Splash Screen
    GetPage(name: ConstRouters.splash, page: () => const FlashScreen()),
    GetPage(name: ConstRouters.login, page: () => const LoginScreen()),
    GetPage(
      name: ConstRouters.employeelogin,
      page: () => const EmployeeLoginScreen(),
    ),
    GetPage(name: ConstRouters.signup, page: () => const SignupScreen()),
    GetPage(
      name: ConstRouters.registerOtp,
      page: () => const RegisterOtpScreen(),
    ),

    GetPage(name: ConstRouters.otp, page: () => const OtpScreen()),
    GetPage(
      name: ConstRouters.employeeotp,
      page: () => const EmployeeOtpScreen(),
    ),
    GetPage(
      name: ConstRouters.terms,
      page: () => const TermsAndConditionScreen(),
    ),
    GetPage(name: ConstRouters.kycdetails, page: () => const KycDetailScreen()),

    GetPage(
      name: ConstRouters.kycdetailslist,
      page: () => const KycDetailsList(),
    ),
    GetPage(
      name: ConstRouters.employeekycdetailslist,
      page: () => const EmployeeProfileList(),
    ),
    GetPage(name: ConstRouters.policy, page: () => const PolicyScreen()),
    GetPage(name: ConstRouters.staff, page: () => const StaffListScreen()),
    GetPage(name: ConstRouters.mpinSet, page: () => const MpinSetScreen()),
    GetPage(
      name: ConstRouters.forgotPassword,
      page: () => const ForgotScreen(),
    ),
    GetPage(
      name: ConstRouters.changePin,
      page: () => const ChangePinScreen(),
    ),
  ];
}
